/*
 * IconHandle.java
 * Copyright (c) 2008 kbinani
 *
 * This file is part of jp.sourceforge.lipsync.vsq.
 *
 * jp.sourceforge.lipsync.vsq is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * jp.sourceforge.lipsync.vsq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
package jp.sourceforge.lipsync.vsq;

public class IconHandle extends VsqHandle implements Cloneable {
    public Object clone() {
        IconHandle ret = new IconHandle();
        ret.Caption = Caption;
        ret.IconID = IconID;
        ret.IDS = IDS;
        ret.Index = Index;
        ret.Language = Language;
        ret.Length = Length;
        ret.Original = Original;
        ret.Program = Program;
        ret.Type = Type;
        return ret;
    }


    /*public property int Program {
    get {
    return m_program;
    }
    set {
    m_program = value;
    }
    };*/
    /*public property int Language {
    get {
    return m_language;
    }
    set {
    m_language = value;
    }
    };*/
    /*public property int Length {
    get {
    return m_length;
    }
    set {
    m_length = value;
    }
    };*/
    /*public property String Caption {
    get {
    return m_caption;
    }
    set {
    m_caption = value;
    }
    };*/
    /*public property String IconID {
    get {
    return m_icon_id;
    }
    set {
    m_icon_id = value;
    }
    };*/
    /*public property String IDS {
    get {
    return m_ids;
    }
    set {
    m_ids = value;
    }
    };*/
    /*public property int Original {
    get {
    return m_original;
    }
    set {
    m_original = value;
    }
    };*/
}
